> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all event types

GET https://api.propexo.com/v1/event-types/

Get all event types

Reference: https://docs.propexo.com/api-reference/real-page-registered-vendor/events/get-all-event-types

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `x_id` (string, optional) — The external ID from the integration vendor
- `x_property_id` (string, optional) — The external ID of the property from the integration vendor
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `models` (list of string, optional) — The Propexo data models (e.g. units, residents, applicants, etc.) associated with the event type
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of EventType, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### EventType

- `id` (string, required) — The Propexo unique identifier for the event type
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | Resident Service ODE | GetActivityTypes |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Resident Service ODE | GetActivityTypes |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for REALPAGE
- `code` (string, required, nullable) — The code associated with the event type | Interface | Method | |---|---| | Resident Service ODE | GetActivityTypes |
- `models` (any, required) — The Propexo data models (e.g. units, residents, applicants, etc.) associated with the event typeThis field will always be null for REALPAGE
- `name` (string, required) — The name associated with the event type | Interface | Method | |---|---| | Resident Service ODE | GetActivityTypes |
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `REALPAGE`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "9457bc7f2f7b37057dd86e8b2287a91d24f1d57a8b165f528dab735460d1ef35",
      "x_property_id": "na",
      "x_location_id": null,
      "code": "COLLECT",
      "models": null,
      "name": "Collections",
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "REALPAGE",
      "property_id": "clwi5xiix000008l6ctdgafyh"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/event-types/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/event-types/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/event-types/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/event-types/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/event-types/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/event-types/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/event-types/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/event-types/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```